Page MenuHomePhabricator

[clang][AVR] Implement standard calling convention for AVR and AVRTiny
ClosedPublic

Authored by benshi001 on Mar 1 2022, 6:24 AM.

Diff Detail

Event Timeline

benshi001 created this revision.Mar 1 2022, 6:24 AM
benshi001 requested review of this revision.Mar 1 2022, 6:24 AM
Herald added a project: Restricted Project. · View Herald TranscriptMar 1 2022, 6:24 AM
benshi001 added a comment.EditedMar 1 2022, 10:59 PM

This patch is a correct implementation against to the abandoned https://reviews.llvm.org/D120475

Herald added a project: Restricted Project. · View Herald TranscriptMar 1 2022, 10:59 PM
benshi001 edited the summary of this revision. (Show Details)Mar 1 2022, 11:04 PM
benshi001 updated this revision to Diff 412357.Mar 2 2022, 1:58 AM
benshi001 updated this revision to Diff 415734.Mar 16 2022, 1:51 AM
aykevl accepted this revision.Mar 23 2022, 11:18 AM
This revision is now accepted and ready to land.Mar 23 2022, 11:18 AM